aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2018-06-06 11:38:15 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2018-06-06 11:38:15 -0700
commit7620b6516d417b71da1879590b589fa849c08c59 (patch)
treef800295a330875511bbd5c1da5f715a00ff7ffdf /rsync-gen.sh
parentrsyncgen: switch to py3.6 (diff)
downloadmastermirror-scripts-7620b6516d417b71da1879590b589fa849c08c59.tar.gz
mastermirror-scripts-7620b6516d417b71da1879590b589fa849c08c59.tar.bz2
mastermirror-scripts-7620b6516d417b71da1879590b589fa849c08c59.zip
rsync-gen.sh: prepare to switch to system gemato20180606T183930Z
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
Diffstat (limited to 'rsync-gen.sh')
-rwxr-xr-xrsync-gen.sh18
1 files changed, 16 insertions, 2 deletions
diff --git a/rsync-gen.sh b/rsync-gen.sh
index 372541e..3f53c28 100755
--- a/rsync-gen.sh
+++ b/rsync-gen.sh
@@ -67,6 +67,20 @@ if [ "$atomic_rsync" == "MISSING" ]; then
echo "$0: Cannot do final atomic rsync into place, atomic-rsync tool is missing"
exit 1
fi
+for gemato in `which gemato 2>/dev/null` /usr/local/bin/gemato/bin/gemato MISSING ; do
+ [ -x $gemato ] && break
+done
+if [ "$gemato " == "MISSING" ]; then
+ echo "$0: Cannot verify metamanifests, gemato tool is missing (emerge gemato)"
+ exit 1
+fi
+for gemato_gen_fast_metamanifest in /usr/share/gemato/gen_fast_metamanifest.py /usr/local/bin/gemato/utils/gen_fast_metamanifest.py MISSING ; do
+ [ -x $gemato_gen_fast_metamanifest ] && break
+done
+if [ "$gemato_gen_fast_metamanifest" == "MISSING" ]; then
+ echo "$0: Cannot generate metamanifests, gemato gen_fast_metamanifest.py tool is missing (emerge app-portage/gemato[tools,utils])"
+ exit 1
+fi
function timelogger() {
tee -a "$TIMESLOG" | logger -t rsync-gen-times -p INFO
@@ -222,14 +236,14 @@ timelog___end "HERDS-AND-PROJ" | timelogger
# 6a) thicken and generate MetaManifests
timelog_start "THICKEN-META" | timelogger
-/usr/local/bin/gemato/utils/gen_fast_metamanifest.py \
+$gemato_gen_fast_metamanifest \
"${STAGEDIR_repo_gentoo}" "${SIGNKEYID}"
timelog___end "THICKEN-META" | timelogger
# end 6a)
# start 6b) Validate manifests
timelog_start "MANIFEST-VALIDATE" | timelogger
-if ! /usr/local/bin/gemato/bin/gemato verify "${STAGEDIR_repo_gentoo}" >${REGEN_LOG_DIR}/${REGEN_LOG_FILE}.validate 2>&1; then
+if ! $gemato verify "${STAGEDIR_repo_gentoo}" >${REGEN_LOG_DIR}/${REGEN_LOG_FILE}.validate 2>&1; then
echo "$0: A Manifest has a failure!"
echo "${REGEN_LOG_DIR}/${REGEN_LOG_FILE}.validate:"
cat "${REGEN_LOG_DIR}/${REGEN_LOG_FILE}.validate"